Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 96 lines (90 sloc) 2.575 kb
b6b8166 @kylef Version 0.1.0
authored
1 # Generated by jeweler
2 # DO NOT EDIT THIS FILE DIRECTLY
3 # Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = %q{zmb}
40ad9dc @kylef Regenerated gemspec for version 0.3.2
authored
8 s.version = "0.3.2"
b6b8166 @kylef Version 0.1.0
authored
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["kylef"]
40ad9dc @kylef Regenerated gemspec for version 0.3.2
authored
12 s.date = %q{2010-07-18}
b6b8166 @kylef Version 0.1.0
authored
13 s.default_executable = %q{zmb}
14 s.description = %q{ZMB, messenger bot}
15 s.email = %q{inbox@kylefuller.co.uk}
16 s.executables = ["zmb"]
17 s.extra_rdoc_files = [
18 "LICENSE",
f038470 @kylef Add a README
authored
19 "README.markdown"
b6b8166 @kylef Version 0.1.0
authored
20 ]
21 s.files = [
22 ".document",
23 ".gitignore",
24 "LICENSE",
f038470 @kylef Add a README
authored
25 "README.markdown",
b6b8166 @kylef Version 0.1.0
authored
26 "Rakefile",
27 "VERSION",
28 "bin/zmb",
29 "lib/zmb.rb",
30 "lib/zmb/event.rb",
31 "lib/zmb/plugin.rb",
32 "lib/zmb/settings.rb",
33 "lib/zmb/timer.rb",
fd19129 @kylef Regenerated gemspec for version 0.3.0
authored
34 "lib/zmb/utils.rb",
769971b @kylef Regenerated gemspec for version 0.2.1
authored
35 "plugins/alias.rb",
b61f3a9 @kylef Regenerated gemspec for version 0.2.0
authored
36 "plugins/announce.rb",
37 "plugins/autorejoin.rb",
40ad9dc @kylef Regenerated gemspec for version 0.3.2
authored
38 "plugins/autovoice.rb",
5d2eaf9 @kylef Add a plugin for quotes
authored
39 "plugins/bank.rb",
b6b8166 @kylef Version 0.1.0
authored
40 "plugins/commands.rb",
fd19129 @kylef Regenerated gemspec for version 0.3.0
authored
41 "plugins/countdown.rb",
b61f3a9 @kylef Regenerated gemspec for version 0.2.0
authored
42 "plugins/dns.rb",
769971b @kylef Regenerated gemspec for version 0.2.1
authored
43 "plugins/file.rb",
44 "plugins/gcalc.rb",
722db30 @kylef Regenerated gemspec for version 0.3.1
authored
45 "plugins/httpwatch.rb",
5d5f3e2 @kylef Regenerated gemspec for version 0.1.3
authored
46 "plugins/idle.rb",
b6b8166 @kylef Version 0.1.0
authored
47 "plugins/irc.rb",
722db30 @kylef Regenerated gemspec for version 0.3.1
authored
48 "plugins/linecount.rb",
b61f3a9 @kylef Regenerated gemspec for version 0.2.0
authored
49 "plugins/log.rb",
577fc79 @kylef Regenerated gemspec for version 0.1.2
authored
50 "plugins/nickserv.rb",
5d5f3e2 @kylef Regenerated gemspec for version 0.1.3
authored
51 "plugins/poll.rb",
5d2eaf9 @kylef Add a plugin for quotes
authored
52 "plugins/quote.rb",
769971b @kylef Regenerated gemspec for version 0.2.1
authored
53 "plugins/random.rb",
2d75e1b @kylef Add relay plugin, and remove magicword plugin.
authored
54 "plugins/relay.rb",
722db30 @kylef Regenerated gemspec for version 0.3.1
authored
55 "plugins/rss.rb",
b61f3a9 @kylef Regenerated gemspec for version 0.2.0
authored
56 "plugins/security.rb",
fd19129 @kylef Regenerated gemspec for version 0.3.0
authored
57 "plugins/sed.rb",
577fc79 @kylef Regenerated gemspec for version 0.1.2
authored
58 "plugins/system.rb",
722db30 @kylef Regenerated gemspec for version 0.3.1
authored
59 "plugins/translate.rb",
b61f3a9 @kylef Regenerated gemspec for version 0.2.0
authored
60 "plugins/url.rb",
61 "plugins/usermodes.rb",
b6b8166 @kylef Version 0.1.0
authored
62 "plugins/users.rb",
fd19129 @kylef Regenerated gemspec for version 0.3.0
authored
63 "plugins/vouch.rb",
64 "plugins/weather.rb",
b6b8166 @kylef Version 0.1.0
authored
65 "test/helper.rb",
5d2eaf9 @kylef Add a plugin for quotes
authored
66 "test/test_zmb.rb",
67 "zmb.gemspec"
b6b8166 @kylef Version 0.1.0
authored
68 ]
69 s.homepage = %q{http://github.com/kylef/zmb}
70 s.rdoc_options = ["--charset=UTF-8"]
71 s.require_paths = ["lib"]
72 s.rubygems_version = %q{1.3.5}
73 s.summary = %q{ZMB, messenger bot}
74 s.test_files = [
75 "test/helper.rb",
76 "test/test_zmb.rb"
77 ]
78
79 if s.respond_to? :specification_version then
80 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
81 s.specification_version = 3
82
83 if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
84 s.add_development_dependency(%q<thoughtbot-shoulda>, [">= 0"])
85 s.add_runtime_dependency(%q<json>, [">= 1.0.0"])
86 else
87 s.add_dependency(%q<thoughtbot-shoulda>, [">= 0"])
88 s.add_dependency(%q<json>, [">= 1.0.0"])
89 end
90 else
91 s.add_dependency(%q<thoughtbot-shoulda>, [">= 0"])
92 s.add_dependency(%q<json>, [">= 1.0.0"])
93 end
94 end
95
Something went wrong with that request. Please try again.